# ###########################################################################
#
#   Description file for patch :       DB_patch1406_50_mrcm
#
#   <<      DB SUPPORT FOR BACKPORT OF MULTI RCM     >>
#
# ###########################################################################

[PATCH]
Software_name=Database
Short_description=Add support for backport of Multi RCM
DB_mode=Normal
Repeat_allowed=Yes

[VARIABLES]
DISCONNECT_CLIENTS_Y_N=optional:no^type:yesno^exported:yes^help:Force logout of any connected client (Y) or fail (N)

# ============== VERSION LEVEL TRANSITIONS SUPPLIED ===============

[TRANSITION]
# When applying on a plain 5.0.0.2
#  on oracle9 - GA
Initial_VLN=DB50011406001
Initial_checksum=##unknown##
Final_VLN=DB50011406001
Final_checksum=##unknown##

# ============ SET DATABASE IN RESTRICTED MODE ============

[MODULE]
Loader=Sql
Domain=admin
Name=list_clients
Type=sql
Description=List the currently connected clients

[MODULE]
Loader=Sql
Domain=admin
Name=set_restricted
Type=sql
Description=Set database in restricted session mode

# ============== CREATE TEMP FUNCTIONS ====================

[MODULE]
Loader=Sql
Domain=admin
Name=create_temp_function
Type=sql
Description=Create temporary functions for upgrade

# ================== UPGRADE TABLES =======================

# ================= UPDATE TABLE DATA =====================

[MODULE]
Loader=Sql
Domain=admin
Name=update_error_desc
Type=sql
Description=Update data in ERROR_DESC

# ================ UPDATE PACKAGE SPEC ====================

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_metric
Type=pks
Version=30.2
Description=Package Spec PVM_METRIC

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_dataload
Type=pks
Version=30.8.1.0
Description=Package Spec PVM_DATALOAD

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_chnl_mgr
Type=pks
Version=30.14
Description=Package Spec PVM_CHNL_MGR

# ================== UPDATE SYNONYMS ======================

# ================== UPGRADE GRANTS =======================

# ================ UPDATE PACKAGE BODY ====================

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_metric
Type=pkb
Version=30.6
Description=Package Body PVM_METRIC

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_table
Type=pkb
Version=30.13
Description=Package Body PVM_TABLE

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_dataload
Type=pkb
Version=30.39.1.0
Description=Package Body PVM_DATALOAD

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_chnl_mgr
Type=pkb
Version=30.42
Description=Package Body PVM_CHNL_MGR

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_tablespace
Type=pkb
Version=30.26.1.0
Description=Package Body PVM_TABLESPACE

# ================ UPDATE CONSTRAINTS =====================

# ================== UPDATE INDEXES =======================

# ======== MIGRATE SPARSE DATA TO NEW STRUCTURE ===========

[MODULE]
Loader=Sql
Domain=admin
Name=modify_sparse_support
Type=sql
Description=Migrate sparse data

[MODULE]
Loader=Sql
Domain=admin
Name=analyze_snrw_h1
Type=sql
Description=Analyze migrated sparse structure

# ================= UPGRADE TRIGGERS ======================

# ================ DROP TEMP OBJECTS ======================

[MODULE]
Loader=Sql
Domain=admin
Name=drop_objects
Type=sql
Description=Drop Temp Objects

# ========== DISABLE RESTRICTED SESSION MODE ==============

[MODULE]
Loader=SqD
Domain=admin
Name=set_no_restricted
Type=sql
Data=Alter System Disable Restricted Session
Description=Set database out of restricted session mode

# ############ end of file : DB_patch1406_50_mrcm.dsc
