--
-- Licensed Materials - Property of IBM Corp. Copyright (c) 1997, 2010
-- 5724-X63, 5724-W86
-- Copyright IBM Corporation 2007. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
--
Whenever SQLError Exit 1
Declare
  vcRoot            Varchar2(100) := Pvm_Client.Get_Root;
  vcSparseTableName Varchar2(30) := 'C99_SNRW_000_H1';
  iCnt              Number;
Begin
  For recPart In ( Select Partition_Name
                     From DBA_TAB_PARTITIONS
                    Where Table_Name = vcSparseTableName )
  Loop
    Execute Immediate 'Select Count(*) '||
                      '  From '||vcRoot||'_Metric.'||vcSparseTableName||
                      '        Partition('||recPart.Partition_Name||')'
      Into iCnt;
     Dbms_Stats.Set_Table_Stats(
                Ownname  => vcRoot||'_Metric',
                Tabname  => vcSparseTableName,
                Partname => recPart.Partition_Name,
                Numrows  => iCnt );
     Dbms_Stats.Set_Index_Stats(
                Ownname  => vcRoot||'_Metric',
                Indname  => 'PK_' || vcSparseTableName,
                Partname => recPart.Partition_Name,
                Numrows  => iCnt );
  End Loop;
End Loop;
/
